﻿// <auto-generated> This file has been auto generated by EF Core Power Tools. </auto-generated>
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace MundoCalcado.Domain.Entities
{
    public partial class Product
    {
        [Key]
        public int IdProduct { get; set; }
        [Required]
        [StringLength(50)]
        public string Name { get; set; }
        public int IdCategory { get; set; }
        public int Stock { get; set; }
        [Column(TypeName = "decimal(18, 2)")]
        public decimal Price { get; set; }
        [Required]
        public string ImageUrl { get; set; }
        [Required]
        [StringLength(350)]
        public string Description { get; set; }
        public bool Availibility { get; set; }
        [StringLength(50)]
        public string Genre { get; set; }
        [StringLength(200)]
        public string Composition { get; set; }
        [StringLength(50)]
        public string Type { get; set; }
        public bool QualityCheck { get; set; }
        [Column(TypeName = "datetime")]
        public DateTime CreationDate { get; set; }
        public bool IsOnline { get; set; }

        [ForeignKey(nameof(IdCategory))]
        [InverseProperty(nameof(Category.Product))]
        public virtual Category IdCategoryNavigation { get; set; }
        [InverseProperty("Product")]
        public virtual ProdColor ProdColor { get; set; }
    }
}